Loading...
Searching...
No Matches
Opm::VFPProperties< Scalar, IndexTraits > Class Template Reference

A thin wrapper class that holds one VFPProdProperties and one VFPInjProperties object. More...

`#include <VFPProperties.hpp>`

## Public Member Functions

| VFPProperties (const std::vector< std::reference_wrapper< const VFPInjTable > > &inj_tables, const std::vector< std::reference_wrapper< const VFPProdTable > > &prod_tables, const WellState< Scalar, IndexTraits > &well_state)
| Constructor Takes no ownership of data.
const VFPInjProperties< Scalar > * | getInj () const
| Returns the VFP properties for injection wells.
const VFPProdProperties< Scalar > * | getProd () const
| Returns the VFP properties for production wells.
Scalar | getExplicitWFR (const int table_id, const std::size_t well_index) const
Scalar | getExplicitGFR (const int table_id, const std::size_t well_index) const

## Detailed Description

template<typename Scalar, typename IndexTraits>
class Opm::VFPProperties< Scalar, IndexTraits >

A thin wrapper class that holds one VFPProdProperties and one VFPInjProperties object.

## Constructor & Destructor Documentation

## VFPProperties()

template<typename Scalar, typename IndexTraits>

Opm::VFPProperties< Scalar, IndexTraits >::VFPProperties | ( | const std::vector< std::reference_wrapper< const VFPInjTable > > & | inj_tables,
|  | const std::vector< std::reference_wrapper< const VFPProdTable > > & | prod_tables,
|  | const WellState< Scalar, IndexTraits > & | well_state )

inline

Constructor Takes no ownership of data.

Parameters

  inj_tables | A map of different VFPINJ tables.
  prod_tables | A map of different VFPPROD tables.
  well_state | Current well state

The documentation for this class was generated from the following files:

- opm/simulators/wells/BlackoilWellModelGeneric.hpp
- opm/simulators/wells/VFPProperties.hpp